> ## Documentation Index
> Fetch the complete documentation index at: https://developer.easyparkgroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get login token

> This unauthenticated endpoint is used to get the JWT (valid for one day) that must be used in the header of
every other request.




## OpenAPI

````yaml post /login
openapi: 3.1.0
info:
  title: Partner API
  description: >

    Partner API is a collection of endpoints (currently available only in
    Europe) that allow EasyPark partners

    manage their parking users and cars. In this page you can find the general
    information regarding all the

    endpoints. For specific information please refer to the corresponding
    subsection.


    Note that this reference only contains information about our legacy
    endpoints that are to be sunsetted in

    2026. See 'Partner Reference' for the latest version of the Partner API.


    ## Addresses


    * Production: https://partner.europe.ezprk.net

    * Staging: https://partner.staging.ezprk.dev


    Requests and responses are in JSON format.


    ## Request timeout


    All the endpoints have a default timeout of 60 seconds.


    ## Errors


    All errors returned to the API user are structured in the following way:


    ```json
        {
            "timestamp": "2021-02-25T14:40:21.333+00:00",
            "path": "/billing-accounts/2220564/parking-users",
            "status": 400,
            "error": "Bad Request",
            "message": "email must not be blank",
            "requestId": "4ba1b9d0"
        }
    ```
  version: '2025.05'
servers:
  - url: https://partner.staging.ezprk.dev
    description: Staging
  - url: https://partner.europe.ezprk.net
    description: Production
security: []
tags:
  - name: Parking Users
    description: Manage parking users.
  - name: Fleet Cars
    description: Manage cars in the default fleet.
  - name: Login
    description: Authenticate with the EasyPark API
paths:
  /login:
    post:
      tags:
        - Login
      summary: Get login token
      description: >
        This unauthenticated endpoint is used to get the JWT (valid for one day)
        that must be used in the header of

        every other request.
      operationId: getLoginToken
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LoginRequest'
        required: true
      responses:
        '200':
          description: The JWT and the expiration date and time.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LoginResponse'
components:
  schemas:
    LoginRequest:
      type: object
      properties:
        refreshToken:
          type: string
    LoginResponse:
      type: object
      properties:
        idToken:
          type: string
        validUntilDate:
          type: string
          format: date-time

````